<?php
  $valor1 = $_GET['v1'];
  
  //conexion a la base de datos
  //include("../health/conexion.php");
  include("conexionOdo.php");
  
  //consulta medicamentos
  $query="SELECT * from SIME_MED_POS WHERE nombre LIKE '%$valor1%' order by nombre";
  $result = mysql_query($query) or die('Consulta de Medicamentos Odontologia fallida: ' . mysql_error());
  //$line = mysql_fetch_array($result, MYSQL_ASSOC);
   
  $comboMedpos="";
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
  {
    if ($i==0)
    {
     $comboMedpos .=" <option value=''>".''."</option>";
    }
    $comboMedpos .=" <option value='".$line['codigo']."'>".$line['nombre']." / ".$line['concentracion']. "</option>"; //concatenamos el los options para luego ser   insertado en el HTML
    $i++;
  }
  // Liberar resultados
  mysql_free_result($result);
    
?>

<html>
 <head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <title>Lista Medicamentos</title>
   <style type="text/css" media="all">@import "./estilos.css";</style>
   
   <script type="text/javascript">
     function cerrar() 
     {
       var posicion = window.document.getElementById('med').options.selectedIndex; 
       if (posicion > 0)
       {
         var data1 =  window.document.getElementById('med').options[posicion].value;
         var data2 =  window.document.getElementById('med').options[posicion].text;
          
         window.opener.document.getElementById('coMed_s').innerHTML = data1;  
         window.opener.document.getElementById('noMed_s').innerHTML = data2;            
       }
       this.window.close();
     }
   </script>
 </head>
    
 <body>
    <table align='center' width="650" height="25">
      <tr>
        <td align="center" class="titulosTabla2" >HISTORIA CLINICA </td>
      </tr>
      
      <tr class="titulosTabla">
        <td><label>MEDICAMENTOS</label></td>
      </tr>    
    </table>
    
    <!-- <input type="text" id="val1" value="<?php echo $res;?>" disabled="disabled"/> -->
        
    <table align='center' border="1" width="650">
     <tr>
       <td align="left" class="camposTabla">
         <select name="med" id="med" style="width:500">
           <?php echo $comboMedpos; ?>
         </select>
       </td>
       <td align='center'>
         <button onclick="cerrar();">Seleccionar</button> 
       </td>
     </tr>
     <tr>
       <td class="subtutulosTabla" align="center" colspan ="2">
         <label>Seleccione el Medicamento de la lista y Toque 'Seleccionar' </label>
       </td> 
     </tr> 
    </table>     
 </body>
</html>